package com.foreverwin.mesnac.equip.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.time.LocalDateTime;


import com.baomidou.mybatisplus.annotation.IdType;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * <p>
 * 设备检验计划从表
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-06-11
 */

@TableName("Z_RESOURCE_INSPECT_RESOURCE")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ResourceInspectResource extends Model<ResourceInspectResource> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 设备检验计划HANDLE
     */
   @TableField("RESOURCE_INSPECT_PLAN_BO")
   private String resourceInspectPlanBo;
    /**
     * 设备HANDLE
     */
   @TableField("RESOURCE_BO")
   private String resourceBo;
    /**
     * 设备编号
     */
   @TableField("RESOURCE_NO")
   private String resourceNo;
    /**
     * 设备描述
     */
   @TableField("DESCRIPTION")
//   @TableField(exist = false)
   private String description;
    /**
     * 任务状态(启用/禁用)
     */
   @TableField("STATUS")
   private String status;
    /**
     * 任务生成时间
     */
   @TableField("TASK_CREATE_DATE")
//   @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss")
//   @JsonFormat(shape=JsonFormat.Shape.STRING, pattern="yyyy-MM-dd'T'HH:mm:ss")
   private LocalDateTime taskCreateDate;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   /**
    * 序号
    */
   @TableField(exist = false)
   private Integer itemSeq;

   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getResourceInspectPlanBo() {
      return resourceInspectPlanBo;
   }

   public void setResourceInspectPlanBo(String resourceInspectPlanBo) {
      this.resourceInspectPlanBo = resourceInspectPlanBo;
   }

   public String getResourceBo() {
      return resourceBo;
   }

   public void setResourceBo(String resourceBo) {
      this.resourceBo = resourceBo;
   }

   public String getResourceNo() {
      return resourceNo;
   }

   public void setResourceNo(String resourceNo) {
      this.resourceNo = resourceNo;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public LocalDateTime getTaskCreateDate() {
      return taskCreateDate;
   }

   public void setTaskCreateDate(LocalDateTime taskCreateDate) {
      this.taskCreateDate = taskCreateDate;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public Integer getItemSeq() { return itemSeq; }
   public void setItemSeq(Integer seq) {
      this.itemSeq = itemSeq;
   }

public static final String HANDLE = "HANDLE";

public static final String RESOURCE_INSPECT_PLAN_BO = "RESOURCE_INSPECT_PLAN_BO";

public static final String RESOURCE_BO = "RESOURCE_BO";

public static final String RESOURCE_NO = "RESOURCE_NO";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String STATUS = "STATUS";

public static final String TASK_CREATE_DATE = "TASK_CREATE_DATE";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "ResourceInspectResource{" +
              "itemSeq"+ itemSeq +
         "handle = " + handle +
         ", resourceInspectPlanBo = " + resourceInspectPlanBo +
         ", resourceBo = " + resourceBo +
         ", resourceNo = " + resourceNo +
         ", description = " + description +
         ", status = " + status +
         ", taskCreateDate = " + taskCreateDate +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}